package de.renew.logging.gui.test.helper;

import org.apache.log4j.Appender;
import org.apache.log4j.Layout;
import org.apache.log4j.spi.ErrorHandler;
import org.apache.log4j.spi.Filter;
import org.apache.log4j.spi.LoggingEvent;

public class TestAppender implements Appender {
    @Override
    public void addFilter(final Filter filter) {
        throw new UnsupportedOperationException("TestAppender#addFilter");
    }

    @Override
    public void clearFilters() {
        throw new UnsupportedOperationException("TestAppender#clearFilters");
    }

    @Override
    public void close() {
        throw new UnsupportedOperationException("TestAppender#close");
    }

    @Override
    public void doAppend(final LoggingEvent loggingEvent) {
        throw new UnsupportedOperationException("TestAppender#doAppend");
    }

    @Override
    public ErrorHandler getErrorHandler() {
        throw new UnsupportedOperationException("TestAppender#getErrorHandler");
    }

    @Override
    public Filter getFilter() {
        throw new UnsupportedOperationException("TestAppender#getFilter");
    }

    @Override
    public Layout getLayout() {
        throw new UnsupportedOperationException("TestAppender#getLayout");
    }

    @Override
    public String getName() {
        throw new UnsupportedOperationException("TestAppender#getName");
    }

    @Override
    public boolean requiresLayout() {
        throw new UnsupportedOperationException("TestAppender#requiresLayout");
    }

    @Override
    public void setErrorHandler(final ErrorHandler errorHandler) {
        throw new UnsupportedOperationException("TestAppender#setErrorHandler");
    }

    @Override
    public void setLayout(final Layout layout) {
        throw new UnsupportedOperationException("TestAppender#setLayout");
    }

    @Override
    public void setName(final String s) {
        throw new UnsupportedOperationException("TestAppender#setName");
    }
}
